* {
    margin: 0;
    padding: 0;
    -webkit-box-sizing: border-box;
    -moz-box-sizing: border-box;
    box-sizing: border-box;
}

body {
    background: #ede9e6;
    font: 400 15px/1.8em "PingFangTC-Regular", Arial, "儷黑 Pro", "LiHei Pro", "微軟正黑體", "Microsoft JhengHei", sans-serif;
}

body>header {
    position: fixed;
    left: 0;
    top: 0;
    width: 100%;
    background: #129ebd;
    text-align: center;
    z-index: 1000;
    padding: 10px 0;
}

body>header a {
    display: inline-block;
    text-decoration: none;
    background: #fff;
    color: #129ebd;
    padding: 0 10px;
}

body>header a:hover {
    background: #017994;
    ;
    color: #fff;
    text-decoration: none;
}

body>footer {
    text-align: center;
    padding: 20px 0;
    font-size: 0.8rem;
    color: #333;
}

.intro a,
body>footer a {
    color: #333;
}

.container {
    max-width: 1200px;
    margin: 0 auto;
    padding: 0 15px;
}

.container>h1 {
    text-align: center;
    padding: 80px 0 40px 0;
    font-size: 3rem;
    font-weight: 900;
}

.intro {
    color: #333;
    margin: 0 0 80px 0;
}

.intro p {
    margin-bottom: 1.2rem;
}

.section {
    width: 45%;
    border-radius: 6px;
    display: inline-block;
    vertical-align: top;
    margin: 0 1% 80px 1%;
    background: #f9f4ef;
    padding: 10px;
}

.container>section {
    margin-bottom: 80px;
    background: #f9f4ef;
    padding: 10px;
    border-radius: 6px;
}

@media(max-width:768px) {
    .section {
        width: 100%;
        display: block;
        margin: 0 0 60px 0;
    }
    section {
        margin: 0 0 60px 0;
    }
}

section>h2,
.section>h2 {
    font-size: 1rem;
    font-weight: 700;
    color: #DC3F44;
}

section>h2::before,
.section>h2::before {
    content: "<!--";
}

section>h2::after,
.section>h2::after {
    content: "-->";
}

.container>h3 {
    font-size: 1.8rem;
    font-weight: 700;
    margin-bottom: 30px;
}

.container>h3::before {
    content: "☛ ";
}

.note {
    color: #7d7d7d;
}

.note a.html {
    background: #0CC;
    color: #fff;
    text-decoration: none;
    padding: 0 10px;
    display: inline-block;
    margin: 2px 0;
    font-family: monospace;
    font-size: 1.1rem;
    line-height: 1.6rem;
}

.note a.html:hover {
    background: rgb(82, 233, 233);
}

.note a.attr {
    background: #a8afb1;
    color: #fff;
    border-radius: 2px;
    text-decoration: none;
    padding: 0 4px;
    display: inline-block;
    margin: 2px 0;
    line-height: 1.5rem;
    font-size: 0.8rem;
}

.note a.attr:hover {
    background: #99aaaf;
}

.note a.html5 {
    background-image: url(../images/html5.png);
    background-position: right center;
    background-repeat: no-repeat;
    padding-right: 26px;
}

.note a.html5:hover {
    background-image: url(../images/html5.png);
    background-position: right center;
    background-repeat: no-repeat;
}

.test {
    border: 1px dashed #aaa;
    overflow: hidden;
}

.test .title {
    font-weight: normal;
    color: #FFF;
    margin: 0;
    font-size: 1rem;
    background: #423d3d;
    padding: 8px 10px;
}

.test>p,
.testBlock {
    padding: 20px;
    margin: 0;
    position: relative;
    min-height: 60px;
}

.syntaxhighlighter {
    overflow: hidden;
}

.syntaxhighlighter .toolbar {
    display: none;
}

.syntaxhighlighter .line .content .block {
    background: none;
}

.syntaxhighlighter {
    background-color: #f4f4f4;
}

.syntaxhighlighter .line .content code {
    font-size: 0.8rem;
}

#tag {
    position: fixed;
    right: 10px;
    bottom: 10px;
    width: 50px;
    height: 50px;
    -webkit-transition: all ease .3s;
    -moz-transition: all ease .3s;
    -o-transition: all ease .3s;
    transition: all ease .3s;
    background: rgba(239, 0, 0, 1);
    background: -moz-linear-gradient(45deg, rgba(239, 0, 0, 1) 0%, rgba(14, 148, 192, 1) 100%);
    background: -webkit-gradient(left bottom, right top, color-stop(0%, rgba(239, 0, 0, 1)), color-stop(100%, rgba(14, 148, 192, 1)));
    background: -webkit-linear-gradient(45deg, rgba(239, 0, 0, 1) 0%, rgba(14, 148, 192, 1) 100%);
    background: -o-linear-gradient(45deg, rgba(239, 0, 0, 1) 0%, rgba(14, 148, 192, 1) 100%);
    background: -ms-linear-gradient(45deg, rgba(239, 0, 0, 1) 0%, rgba(14, 148, 192, 1) 100%);
    background: linear-gradient(45deg, rgba(239, 0, 0, 1) 0%, rgba(14, 148, 192, 1) 100%);
    filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#ef0000', endColorstr='#0e94c0', GradientType=1);
    display: block;
    z-index: 10000;
    border-radius: 100%;
}

#tag span {
    display: block;
    width: 100%;
    height: 100%;
    background: url(http://test.domojyun.net/MEMO/tag.png) center center/80% auto no-repeat;
    text-indent: -9999px;
}

#tag:hover {
    margin-bottom: 4px;
}